<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>{{ title }} Usage Report ({{ now.date() }})</title>
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
        }

        tr:nth-of-type(odd) {
            background: #eee;
        }

        td, th {
            padding: 6px;
            border: 1px solid #ccc;
            text-align: left;
        }

        span.In {
            background: #ffd700;
            border-radius: 3px;
            padding: 2px 6px;
        }

        span.Out {
            background: #da70d6;
            border-radius: 3px;
            padding: 2px 6px;
        }
    </style>
</head>
<body>
<h1>{{ title }} Usage Report</h1>
<h2>Reporting range: {{ since.strftime("%c") }} to {{ now.strftime("%c") }}</h2>
<table>
    <tr>
        <th>Timestamp</th>
        <th>Action</th>
        <th>Name</th>
        <th>CRSid</th>
        <th>Location</th>
        <th>Rooms</th>
        {% if buildings|length > 1 %}
            {% for building in buildings %}
                <th>{{ building }}</th>
            {% endfor %}
        {% endif %}
        <th>Mifare</th>
        <th>Telephone</th>
        <th>Emergency Telephone</th>
    </tr>
    {% for row in rows %}
        <tr>
            <td>{{ row.timestamp }}</td>
            <td><span class="{{ row.action }}">{{ row.action }}</span></td>
            <td>{{ row.name }}</td>
            <td>{{ row.crsid }}</td>
            <td>{{ row.location }}</td>
            <td>{{ row.rooms }}</td>
            {% if buildings|length > 1 %}
                {% for building in buildings %}
                    <td>{{ row[building] }}</td>
                {% endfor %}
            {% endif %}
            <td>{{ row.mifare }}</td>
            <td>{{ row.telephone }}</td>
            <td>{{ row.emergency_telephone }}</td>
        </tr>
    {% endfor %}
</table>
</body>
</html>